Archive Storage

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface,API)를 제공합니다.

본 가이드는 Archive Storage 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

VersionStatusNot Before
1.2CURRENT-

OpenAPI URL

https://archivestorage.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

API Version History

1.2

Archive Storage가 1.2 버전으로 업데이트되었습니다.

변경사항

  • [신규] DELETE /archiving-policies/{archiving_policy_id} - Delete Archiving Policy API가 추가 되었습니다.

  • [변경] POST /archiving-policies - 요청 시, 아래와 같은 필드가 추가, 변경 됩니다.

    • 추가 archiving_policy_name
    • 변경 object_path -> archiving_prefix
  • [변경] POST /archiving-policies - 응답 시, 아래와 같은 필드가 추가, 변경 됩니다.

    • 추가 name
    • 변경
      • 1.1 버전
        • archiving_source
          • bucket_name
          • object_path
      • 1.2 버전
        • archiving
          • source_bucket_name
          • prefix
  • [변경] GET /archiving-histories - 요청 시, 아래와 같은 필드가 추가 됩니다.

    • archiving_policy_id
  • [변경] GET /archiving-histories - 응답 시, 아래와 같은 필드가 추가 됩니다.

    • archiving_policy_name
  • [변경] GET /archiving-policies - 요청 시, 아래와 같은 필드가 추가 됩니다.

    • sort
  • [변경] GET /archiving-policies - 응답 시, 아래와 같은 필드가 추가, 변경 됩니다.

    • 추가
      • archiving_policies
        • name
    • 변경
      • 1.1 버전
        • archiving_policies
          • object_path
      • 1.2 버전
        • archiving_policies
          • archiving_prefix
  • [변경] PUT /archiving-policies/{archiving_policy_id} - 요청 시, 아래와 같은 필드가 추가 됩니다.

    • archiving_policy_name
  • [변경] PUT /archiving-policies/{archiving_policy_id} - 응답 시, 아래와 같은 필드가 추가, 변경 됩니다.

    • 추가
      • name
    • 변경
      • 1.1 버전
        • archiving_source
          • bucket_name
          • object_path
      • 1.2 버전
        • archiving
          • source_bucket_name
          • prefix
  • [변경] PUT /archiving-policies/{archiving_policy_id}/state - 응답 시, 아래와 같은 필드가 추가됩니다.

    • name
    • object_lifecycle
    • archiving
      • source_bucket_name
      • prefix
  • [변경] GET /archiving-histories/detail - 응답 시, 아래와 같은 필드가 추가, 변경 됩니다.

    • 추가
      • archiving_policy_name
    • 변경
      • 1.1 버전
        • archiving_infos
          • source_object_path
      • 1.2 버전
        • archiving_infos
          • archiving_prefix
  • [변경] GET /archiving-policies/{archiving_policy_id} - 응답 시, 필드가 변경 됩니다.

    • 1.1 버전
      • id
      • bucket_id
      • archiving_source
        • bucket_name
        • object_path
      • object_lifecycle
      • state
    • 1.2 버전
      • bucket_id
      • archiving_source_bucket_name
      • archiving_policy
        • id
        • name
        • object_lifecycle
        • archiving_prefix
        • state

1.1

Archive Storage가 1.1 버전으로 업데이트되었습니다.

변경사항

  • [신규] GET /buckets/{bucket_id}/object-versions - List Bucket Objects Versions API가 추가되었습니다.
  • [신규] GET /buckets/{bucket_id}/versioning - Show Bucket Versioning API가 추가되었습니다.
  • [신규] DELETE /buckets/{bucket_id}/object-versions - Delete Bucket Objects Versions API가 추가되었습니다.
  • [신규] PUT /buckets/{bucket_id}/recover-object-versions - Recover Object Versions API가 추가되었습니다.
  • [신규] PUT /archiving-policies/{archiving_policy_id}/state - Set Archiving Policy State API가 추가되었습니다.
  • [신규] PUT /buckets/{bucket_id}/versioning - Set Bucket Versioning API가 추가되었습니다.

1.0

Archive Storage가 출시되었습니다.

변경사항

  • [신규] GET /recovery-histories/detail - Show Recovery History API가 추가되었습니다.
  • [신규] GET /archiving-histories - List Archiving Histories API가 추가되었습니다.
  • [신규] GET /archiving-policies - List Archiving Policies API가 추가되었습니다.
  • [신규] GET /buckets/{bucket_id}/objects - List Bucket Objects API가 추가되었습니다.
  • [신규] GET /buckets - List Buckets API가 추가되었습니다.
  • [신규] GET /recovery-histories - List Recovery Histories API가 추가되었습니다.
  • [신규] GET /archiving-histories/detail - Show Archiving History API가 추가되었습니다.
  • [신규] GET /archiving-policies/{archiving_policy_id} - Show Archiving Policy API가 추가되었습니다.
  • [신규] GET /buckets/{bucket_id} - Show Bucket API가 추가되었습니다.
  • [신규] GET /buckets/{bucket_id}/encryption - Show Bucket Encryption API가 추가되었습니다.
  • [신규] POST /archiving-policies - Create Archiving Policy API가 추가되었습니다.
  • [신규] POST /buckets - Create Bucket API가 추가되었습니다.
  • [신규] PUT /archiving-histories/cancel-archiving - Cancel Archiving API가 추가되었습니다.
  • [신규] PUT /recovery-histories/cancel-recovery - Cancel Recovery API가 추가되었습니다.
  • [신규] PUT /buckets/{bucket_id}/recover-objects - Recover Objects API가 추가되었습니다.
  • [신규] PUT /archiving-policies/{archiving_policy_id} - Set Archiving Policy API가 추가되었습니다.
  • [신규] PUT /buckets/{bucket_id}/encryption - Set Bucket Encryption API가 추가되었습니다.
  • [신규] DELETE /buckets/{bucket_id} - Delete Bucket API가 추가되었습니다.
  • [신규] DELETE /buckets/{bucket_id}/objects - Delete Bucket Objects API가 추가되었습니다.

1 - APIs

1.1 - CancelArchiving

1.1.1 - 1.2

put /v1/archiving-histories/cancel-archiving

Description

아카이빙을 취소한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryid
required
아카이빙 이력 아이디
Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
stringNone
querybucket_id
required
버킷 아이디
Example : 3d036efe-f576-48b0-8375-6d3704a95b63
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/archiving-histories/cancel-archiving?id={id}&bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 202

1.2 - CancelRecovery

1.2.1 - 1.2

put /v1/recovery-histories/cancel-recovery

Description

복구를 취소한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryid
required
복구 이력 아이디
Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
stringNone
querybucket_id
required
버킷 아이디
Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/recovery-histories/cancel-recovery?id={id}&bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 202

1.3 - CreateArchivingPolicy

1.3.1 - 1.2

post /v1/archiving-policies

Description

아카이빙 정책을 생성한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querybucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ArchivingPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedArchivingPolicyCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/archiving-policies?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Request body

{
    "object_lifecycle": "1",
    "archiving_policy_name": "my-policy",
    "archiving_source_bucket_name": "obs-bucket-name",
    "archiving_prefix": "/"
}

Example HTTP response

Response 201

{
    "id": "SCH-XXXXXXX",
    "name": "my-policy",
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving": {
        "source_bucket_name": "obs-bucket-name",
        "prefix": "/"
    },
    "object_lifecycle": "1",
    "state": "ACTIVE"
}

1.4 - CreateBucket

1.4.1 - 1.2

post /v1/buckets

Description

버킷을 생성한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

BucketCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedBucketCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Request body

{
    "name": "astest",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 201

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2"
}

1.5 - DeleteArchivingPolicy

1.5.1 - 1.2

delete /v1/archiving-policies/{archiving_policy_id}

Description

아카이빙 정책을 삭제한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
patharchiving_policy_id
required
아카이빙 정책 아이디
Example : SCH-XXXXXXX
stringNone
querybucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

1.6 - DeleteBucket

1.6.1 - 1.2

delete /v1/buckets/{bucket_id}

Description

버킷을 삭제한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 202

1.7 - DeleteBucketObjects

1.7.1 - 1.2

delete /v1/buckets/{bucket_id}/objects

Description

버킷 오브젝트를 삭제한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ObjectDeleteRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/objects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Request body

{
    "paths": [
        "test/"
    ]
}

Example HTTP response

Response 202

1.8 - DeleteBucketObjectVersions

1.8.1 - 1.2

delete /v1/buckets/{bucket_id}/object-versions

Description

버킷 오브젝트 버전을 삭제한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ObjectVersionsDeleteRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/object-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Request body

{
    "path": "hello/my_file.txt",
    "versions": [
        "Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
        "asSrZ.-K.cf67F0NhXR353JS7Kx6kmm"
    ]
}

Example HTTP response

Response 202

1.9 - ListArchivingHistories

1.9.1 - 1.2

get /v1/archiving-histories

Description

아카이빙 이력 목록을 검색한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querybucket_id
required
버킷 아이디
Example : 3d036efe-f576-48b0-8375-6d3704a95b63
stringNone
querystart_at_from
required
시작일부터
Example : 2025-04-01T00:00:00+09:00
string (date-time)None
querystart_at_to
required
시작일까지
Example : 2025-04-30T23:59:59+09:00
string (date-time)None
querystate
optional
상태
Example : SUCCESS
any of [string, null]None
querylimit
optional
조회 개수
Example : 20
any of [integer, null]20
queryoffset
optional
오프셋
Example : 0
any of [integer, null]0
queryarchiving_policy_id
required
아카이빙 정책 아이디
Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac
stringNone

Responses

HTTP CodeDescriptionSchema
200OKArchivingHistoryListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}&archiving_policy_id={archiving_policy_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

{
    "total_count": 10,
    "bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
    "contents": [
        {
            "archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
            "id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
            "state": "SUCCESS",
            "archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
            "archiving_policy_name": "my-policy",
            "start_at": "2025-04-01T00:00:00+09:00",
            "end_at": "2025-04-30T23:59:59+09:00"
        }
    ]
}

1.10 - ListArchivingPolicies

1.10.1 - 1.2

get /v1/archiving-policies

Description

아카이빙 정책 목록을 검색한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querybucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
querysort
optional
정렬
Example : name:asc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKArchivingPolicyListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-policies?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

{
    "count": 1,
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving_source_bucket_name": "obs-bucket-name",
    "archiving_policies": [
        {
            "id": "SCH-XXXXXXX",
            "name": "my-policy",
            "object_lifecycle": "1",
            "archiving_prefix": "/",
            "state": "ACTIVE"
        }
    ]
}

1.11 - ListBucketObjects

1.11.1 - 1.2

get /v1/buckets/{bucket_id}/objects

Description

버킷 오브젝트 목록을 검색한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
querymarker
optional
마커
Example : TODO.txt
any of [string, null]None
queryobject_path
optional
오브젝트 경로
Example : /
any of [string, null]None
queryobject_name
optional
오브젝트 이름
Example : hello/TODO.txt
any of [string, null]None
queryobject_type
optional
오브젝트 타입
Example : FILE
any of [string, null]None
querylimit
optional
조회 개수
Example : 20
any of [integer, null]200

Responses

HTTP CodeDescriptionSchema
200OKObjectListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/objects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

{
    "count": 1,
    "marker": "TODO.txt",
    "is_truncated": true,
    "contents": [
        {
            "object_name": "hello/TODO.txt",
            "object_type": "FILE",
            "object_size": "3581",
            "modified_at": "2025-04-09T05:54:46.244000+00:00"
        }
    ]
}

1.12 - ListBucketObjectVersions

1.12.1 - 1.2

get /v1/buckets/{bucket_id}/object-versions

Description

버킷 오브젝트 버전 목록을 검색한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
queryobject_path
required
오브젝트 경로
Example : hello/my_file.txt
stringNone
queryoffset
optional
오프셋
Example : 0
any of [integer, null]0
querylimit
optional
조회 개수
Example : 20
any of [integer, null]20

Responses

HTTP CodeDescriptionSchema
200OKObjectVersionListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/object-versions?object_path={object_path}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

{
    "count": 1,
    "contents": [
        {
            "object_path": "hello/my_file.txt",
            "object_version_id": "Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
            "latest": true,
            "modified_at": "2025-04-09T05:54:46.244000+00:00",
            "etag": "4f6094f1e0619a6504efcb5e69e63bec",
            "size": "20"
        }
    ]
}

1.13 - ListBuckets

1.13.1 - 1.2

get /v1/buckets

Description

버킷 목록을 검색한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
버킷 이름
Example : astest
any of [string, null]None
querylimit
optional
조회 개수
Example : 20
any of [integer, null]20

Responses

HTTP CodeDescriptionSchema
200OKBucketListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

{
    "buckets": [
        {
            "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
            "name": "astest"
        }
    ]
}

1.14 - ListRecoveryHistories

1.14.1 - 1.2

get /v1/recovery-histories

Description

복구 이력 목록을 검색한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querybucket_id
required
버킷 아이디
Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
stringNone
querystart_at_from
required
시작일부터
Example : 2025-04-01T00:00:00+09:00
string (date-time)None
querystart_at_to
required
시작일까지
Example : 2025-04-30T23:59:59+09:00
string (date-time)None
querystate
optional
상태
Example : SUCCESS
any of [string, null]None
querylimit
optional
조회 개수
Example : 20
any of [integer, null]20
queryoffset
optional
오프셋
Example : 0
any of [integer, null]0

Responses

HTTP CodeDescriptionSchema
200OKRecoveryHistoryListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/recovery-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

{
    "total_count": 10,
    "bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
    "contents": [
        {
            "recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
            "id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
            "state": "SUCCESS",
            "recovery_target_bucket_name": "test-obs-bucket",
            "start_at": "2025-04-01T00:00:00+09:00",
            "end_at": "2025-04-30T23:59:59+09:00"
        }
    ]
}

1.15 - RecoverObjects

1.15.1 - 1.2

put /v1/buckets/{bucket_id}/recover-objects

Description

오브젝트를 오브젝트 스토리지에 복구한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ObjectRecoverRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedObjectRecoverResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/recover-objects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Request body

{
    "recovery_target_bucket_name": "obs-bucket-name",
    "recovery_infos": [
        {
            "source_object_path": "/",
            "object_type": "FILE"
        }
    ],
    "overwrite": true
}

Example HTTP response

Response 202

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "recovery_target_bucket_name": "obs-bucket-name"
}

1.16 - RecoverObjectVersions

1.16.1 - 1.2

put /v1/buckets/{bucket_id}/recover-object-versions

Description

오브젝트 버전을 오브젝트 스토리지에 복구한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ObjectVersionRecoverRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedObjectVersionRecoverResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/recover-object-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Request body

{
    "recovery_target_bucket_name": "obs-bucket-name",
    "source_object_path": "/",
    "source_object_version": "Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
    "overwrite": true
}

Example HTTP response

Response 202

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "recovery_target_bucket_name": "obs-bucket-name"
}

1.17 - SetArchivingPolicy

1.17.1 - 1.2

put /v1/archiving-policies/{archiving_policy_id}

Description

아카이빙 정책을 수정한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
patharchiving_policy_id
required
아카이빙 정책 아이디
Example : SCH-XXXXXXX
stringNone
querybucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ArchivingPolicyUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKArchivingPolicyUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Request body

{
    "object_lifecycle": "1",
    "archiving_policy_name": "my-policy"
}

Example HTTP response

Response 200

{
    "id": "SCH-XXXXXXX",
    "name": "my-policy",
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving": {
        "source_bucket_name": "obs-bucket-name",
        "prefix": "/"
    },
    "object_lifecycle": "1",
    "state": "ACTIVE"
}

1.18 - SetArchivingPolicyState

1.18.1 - 1.2

put /v1/archiving-policies/{archiving_policy_id}/state

Description

아카이빙 정책 상태를 수정한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
patharchiving_policy_id
required
아카이빙 정책 아이디
Example : SCH-XXXXXXX
stringNone
querybucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ArchivingPolicyStateUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKArchivingPolicyStateUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/archiving-policies/{archiving_policy_id}/state?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Request body

{
    "state": "ACTIVE"
}

Example HTTP response

Response 200

{
    "id": "SCH-XXXXXXX",
    "name": "my-policy",
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "state": "ACTIVE",
    "archiving": {
        "source_bucket_name": "obs-bucket-name",
        "prefix": "/"
    },
    "object_lifecycle": "1"
}

1.19 - SetBucketEncryption

1.19.1 - 1.2

put /v1/buckets/{bucket_id}/encryption

Description

버킷 암호화 정보를 수정한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

BucketEncryptionRequest

Responses

HTTP CodeDescriptionSchema
200OKBucketEncryptionResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/encryption

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Request body

{
    "enabled": true
}

Example HTTP response

Response 200

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "enabled": true
}

1.20 - SetBucketVersioning

1.20.1 - 1.2

put /v1/buckets/{bucket_id}/versioning

Description

버킷 버저닝을 수정한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

BucketVersionRequest

Responses

HTTP CodeDescriptionSchema
200OKBucketVersioningResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/versioning

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Request body

{
    "enabled": true
}

Example HTTP response

Response 200

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "enabled": true
}

1.21 - ShowArchivingHistory

1.21.1 - 1.2

get /v1/archiving-histories/detail

Description

아카이빙 이력을 상세 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryid
required
아카이빙 이력 아이디
Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
stringNone
querybucket_id
required
버킷 아이디
Example : 3d036efe-f576-48b0-8375-6d3704a95b63
stringNone

Responses

HTTP CodeDescriptionSchema
200OKArchivingHistoryShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-histories/detail?id={id}&bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

{
    "archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
    "id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
    "state": "SUCCESS",
    "archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
    "archiving_policy_name": "my-policy",
    "start_at": "2025-04-01T00:00:00+09:00",
    "end_at": "2025-04-30T23:59:59+09:00",
    "bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
    "archiving_infos": [
        {
            "archiving_prefix": "/",
            "usage": "1024",
            "total_object_count": 100,
            "archiving_object_count": 50,
            "archiving_rate": 100
        }
    ]
}

1.22 - ShowArchivingPolicy

1.22.1 - 1.2

get /v1/archiving-policies/{archiving_policy_id}

Description

아카이빙 정책을 상세 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
patharchiving_policy_id
required
아카이빙 정책 아이디
Example : SCH-XXXXXXX
stringNone
querybucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKArchivingPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

{
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving_source_bucket_name": "obs-bucket-name",
    "archiving_policy": {
        "id": "SCH-XXXXXXX",
        "name": "my-policy",
        "object_lifecycle": "1",
        "archiving_prefix": "/",
        "state": "ACTIVE"
    }
}

1.23 - ShowBucket

1.23.1 - 1.2

get /v1/buckets/{bucket_id}

Description

버킷을 상세 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKBucketShowResponse
403ForbiddenNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "name": "astest",
    "state": "ACTIVE",
    "usage": "10",
    "archiving_source_bucket_name": "obstest"
}

1.24 - ShowBucketEncryption

1.24.1 - 1.2

get /v1/buckets/{bucket_id}/encryption

Description

버킷 암호화 정보를 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKBucketEncryptionResponse
403ForbiddenNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/encryption

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "enabled": true
}

1.25 - ShowBucketVersioning

1.25.1 - 1.2

get /v1/buckets/{bucket_id}/versioning

Description

버킷 버저닝 정보를 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKBucketVersioningResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/versioning

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "enabled": true
}

1.26 - ShowRecoveryHistory

1.26.1 - 1.2

get /v1/recovery-histories/detail

Description

복구 이력을 상세 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryid
required
복구 이력 아이디
Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
stringNone
querybucket_id
required
버킷 아이디
Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRecoveryHistoryShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/recovery-histories/detail?id={id}&bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

{
    "recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
    "id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
    "state": "SUCCESS",
    "recovery_target_bucket_name": "test-obs-bucket",
    "start_at": "2025-04-01T00:00:00+09:00",
    "end_at": "2025-04-30T23:59:59+09:00",
    "bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
    "recovery_infos": [
        {
            "source_object_path": "example_source_object_path/",
            "usage": "1024",
            "total_object_count": 100,
            "recovery_object_count": 50,
            "recovery_rate": 50
        }
    ]
}

2 - Models

2.1 - Archiving

NameDescriptionSchemaDefault
source_bucket_name
required
아카이빙 소스 버킷 이름
Example : obs-bucket-name
any of [string, null]
prefix
required
아카이빙 접두사
Example : /
any of [string, null]

2.2 - ArchivingHistory

NameDescriptionSchemaDefault
archiving_id
required
아카이빙 아이디
Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac
any of [string, null]
id
required
아카이빙 이력 아이디
Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
any of [string, null]
state
required
상태
Example : SUCCESS
any of [string, null]
archiving_policy_id
required
아카이빙 정책 아이디
Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac
any of [string, null]
archiving_policy_name
required
아카이빙 정책 이름
Example : my-policy
any of [string, null]
start_at
required
시작 일시
Example : 2025-04-01T00:00:00+09:00
any of [string (date-time), null]
end_at
required
종료 일시
Example : 2025-04-30T23:59:59+09:00
any of [string (date-time), null]

2.3 - ArchivingHistoryListResponse

NameDescriptionSchemaDefault
total_count
required
총 개수
Example : 10
any of [integer, null]
bucket_id
required
버킷 아이디
Example : 3d036efe-f576-48b0-8375-6d3704a95b63
any of [string, null]
contents
required
이력 목록
array[ArchivingHistory]

2.4 - ArchivingHistoryShowResponse

NameDescriptionSchemaDefault
archiving_id
required
아카이빙 아이디
Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac
any of [string, null]
id
required
아카이빙 이력 아이디
Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
any of [string, null]
state
required
상태
Example : SUCCESS
any of [string, null]
archiving_policy_id
required
아카이빙 정책 아이디
Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac
any of [string, null]
archiving_policy_name
required
아카이빙 정책 이름
Example : my-policy
any of [string, null]
start_at
required
시작 일시
Example : 2025-04-01T00:00:00+09:00
any of [string (date-time), null]
end_at
required
종료 일시
Example : 2025-04-30T23:59:59+09:00
any of [string (date-time), null]
bucket_id
required
버킷 아이디
Example : 3d036efe-f576-48b0-8375-6d3704a95b63
any of [string, null]
archiving_infos
required
아카이빙 정보 목록
array[ArchivingInfo]

2.5 - ArchivingInfo

NameDescriptionSchemaDefault
archiving_prefix
required
아카이빙 접두사
Example : /
any of [string, null]
usage
required
사용량
Example : 1024
any of [string, null]
total_object_count
required
총 오브젝트 개수
Example : 100
any of [integer, null]
archiving_object_count
required
아카이빙 오브젝트 개수
Example : 50
any of [integer, null]
archiving_rate
required
아카이빙 진행률
Example : 100
any of [integer, null]

2.6 - ArchivingPolicies

NameDescriptionSchemaDefault
id
required
아카이빙 정책 아이디
Example : SCH-XXXXXXX
string
name
required
아카이빙 정책 이름
Example : my-policy
string
object_lifecycle
required
Object Storage에 저장된 각 오브젝트의 생성 후 경과 일수를 기준으로 아카이빙 조건을 설정하는 값
Example : 1
any of [string, null]
archiving_prefix
required
아카이빙 접두사
Example : /
any of [string, null]
state
required
아카이빙 정책 상태
Example : ACTIVE
string

2.7 - ArchivingPolicyCreateRequest

NameDescriptionSchemaDefault
object_lifecycle
required
Object Storage에 저장된 각 오브젝트의 생성 후 경과 일수를 기준으로 아카이빙 조건을 설정하는 값
Example : 1
string
archiving_policy_name
required
아카이빙 정책 이름
Example : my-policy
string
archiving_source_bucket_name
required
아카이빙 소스 버킷 이름
Example : obs-bucket-name
string
archiving_prefix
required
아카이빙 접두사
Example : /
string

2.8 - ArchivingPolicyCreateResponse

NameDescriptionSchemaDefault
id
required
아카이빙 정책 아이디
Example : SCH-XXXXXXX
string
name
required
아카이빙 정책 이름
Example : my-policy
string
bucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
string
archiving
required
아카이빙
Archiving
object_lifecycle
required
Object Storage에 저장된 각 오브젝트의 생성 후 경과 일수를 기준으로 아카이빙 조건을 설정하는 값
Example : 1
string
state
required
아카이빙 정책 상태
Example : ACTIVE
string

2.9 - ArchivingPolicyListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 1
integer
bucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
string
archiving_source_bucket_name
required
아카이빙 소스 버킷 이름
Example : obs-bucket-name
any of [string, null]
archiving_policies
required
아카이빙 정책 목록
any of [array[ArchivingPolicies], null]

2.10 - ArchivingPolicyShowResponse

NameDescriptionSchemaDefault
bucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
string
archiving_source_bucket_name
required
아카이빙 소스 버킷 이름
Example : obs-bucket-name
any of [string, null]
archiving_policy
required
아카이빙 정책 목록
any of [ArchivingPolicies, null]

2.11 - ArchivingPolicyStateUpdateRequest

NameDescriptionSchemaDefault
state
required
아카이빙 정책 상태
Example : ACTIVE
Pattern : ^(ACTIVE|INACTIVE)$
string

2.12 - ArchivingPolicyStateUpdateResponse

NameDescriptionSchemaDefault
id
required
아카이빙 정책 아이디
Example : SCH-XXXXXXX
string
name
required
아카이빙 정책 이름
Example : my-policy
string
bucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
string
state
required
아카이빙 정책 상태
Example : ACTIVE
string
archiving
required
아카이빙
Archiving
object_lifecycle
required
Object Storage에 저장된 각 오브젝트의 생성 후 경과 일수를 기준으로 아카이빙 조건을 설정하는 값
Example : 1
string

2.13 - ArchivingPolicyUpdateRequest

NameDescriptionSchemaDefault
object_lifecycle
required
Object Storage에 저장된 각 오브젝트의 생성 후 경과 일수를 기준으로 아카이빙 조건을 설정하는 값
Example : 1
string
archiving_policy_name
required
아카이빙 정책 이름
Example : my-policy
string

2.14 - ArchivingPolicyUpdateResponse

NameDescriptionSchemaDefault
id
required
아카이빙 정책 아이디
Example : SCH-XXXXXXX
string
name
required
아카이빙 정책 이름
Example : my-policy
string
bucket_id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
string
archiving
required
아카이빙
Archiving
object_lifecycle
required
Object Storage에 저장된 각 오브젝트의 생성 후 경과 일수를 기준으로 아카이빙 조건을 설정하는 값
Example : 1
string
state
required
아카이빙 정책 상태
Example : ACTIVE
string

2.15 - BucketCreateRequest

NameDescriptionSchemaDefault
name
required
버킷 이름
Example : astest
string
tags
optional
태그 목록
any of [array[Tag], null]

2.16 - BucketCreateResponse

NameDescriptionSchemaDefault
id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
string

2.17 - BucketEncryptionRequest

NameDescriptionSchemaDefault
enabled
required
암호화 여부
Example : True
boolean

2.18 - BucketEncryptionResponse

NameDescriptionSchemaDefault
id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
string
enabled
required
암호화 여부
Example : True
boolean

2.19 - BucketListResponse

NameDescriptionSchemaDefault
buckets
required
버킷 목록
array[BucketWithName]

2.20 - BucketShowResponse

NameDescriptionSchemaDefault
id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
string
name
required
버킷 이름
Example : astest
string
state
required
버킷 상태
Example : ACTIVE
string
usage
optional
버킷 사용량
Example : 10
any of [string, null]
archiving_source_bucket_name
optional
아카이빙 소스 버킷 이름
Example : obstest
any of [string, null]

2.21 - BucketVersioningResponse

NameDescriptionSchemaDefault
id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
string
enabled
required
암호화 여부
Example : True
boolean

2.22 - BucketVersionRequest

NameDescriptionSchemaDefault
enabled
required
버저닝 여부
Example : True
boolean

2.23 - BucketWithName

NameDescriptionSchemaDefault
id
required
버킷 아이디
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
string
name
required
버킷 이름
Example : astest
string

2.24 - Object

NameDescriptionSchemaDefault
object_name
required
오브젝트 이름
Example : hello/TODO.txt
string
object_type
required
오브젝트 타입
Example : FILE
string
object_size
optional
오브젝트 크기
Example : 3581
any of [string, null]
modified_at
optional
수정일
Example : 2025-04-09T05:54:46.244000+00:00
any of [string, null]

2.25 - ObjectDeleteRequest

NameDescriptionSchemaDefault
paths
required
오브젝트 경로 목록
Example : ['test/']
array[string]

2.26 - ObjectListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 1
integer
marker
optional
마커
Example : TODO.txt
any of [string, null]
is_truncated
required
is_truncated는 현재 결과가 모든 데이터를 포함하고 있는지, 아니면 일부만 포함하고 있는지를 나타냅니다.
Example : True
boolean
contents
required
오브젝트 목록
array[Object]

2.27 - ObjectRecoverRequest

NameDescriptionSchemaDefault
recovery_target_bucket_name
required
복구 대상 버킷 이름
Example : obs-bucket-name
string
recovery_infos
required
오브젝트 복구 정보 목록
array[ObjectRecoveryInfo]
overwrite
required
덮어쓰기
Example : True
boolean

2.28 - ObjectRecoverResponse

NameDescriptionSchemaDefault
id
required
138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
string
recovery_target_bucket_name
required
복구 대상 버킷 이름
Example : obs-bucket-name
string

2.29 - ObjectRecoveryInfo

NameDescriptionSchemaDefault
source_object_path
required
복구 소스 오브젝트 경로
Example : /
string
object_type
required
오브젝트 타입
Example : FILE
Pattern : ^(FILE|FOLDER)$
string

2.30 - ObjectVersionListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 1
integer
contents
required

array[ObjectVersions]

2.31 - ObjectVersionRecoverRequest

NameDescriptionSchemaDefault
recovery_target_bucket_name
required
복구 대상 버킷 이름
Example : obs-bucket-name
string
source_object_path
required
복구 소스 오브젝트 경로
Example : /
string
source_object_version
required
복구 소스 오브젝트 버전
Example : Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl
string
overwrite
required
덮어쓰기
Example : True
boolean

2.32 - ObjectVersionRecoverResponse

NameDescriptionSchemaDefault
id
required
138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
string
recovery_target_bucket_name
required
복구 대상 버킷 이름
Example : obs-bucket-name
string

2.33 - ObjectVersions

NameDescriptionSchemaDefault
object_path
required
오브젝트 경로
Example : hello/my_file.txt
string
object_version_id
required
오브젝트 버전 아이디
Example : Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl
string
latest
required
오브젝트의 최신버전
Example : True
boolean
modified_at
required
수정일
Example : 2025-04-09T05:54:46.244000+00:00
string (date-time)
etag
required
ETag
Example : 4f6094f1e0619a6504efcb5e69e63bec
string
size
required
크기
Example : 20
string (numeric-string)

2.34 - ObjectVersionsDeleteRequest

NameDescriptionSchemaDefault
path
required
오브젝트 경로
Example : hello/my_file.txt
string
versions
required
오브젝트 버전 목록
Example : ['Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl', 'asSrZ.-K.cf67F0NhXR353JS7Kx6kmm']
array[object]

2.35 - RecoveryHistory

NameDescriptionSchemaDefault
recovery_id
required
복구 아이디
Example : ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5
any of [string, null]
id
required
복구 이력 아이디
Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
any of [string, null]
state
required
상태
Example : SUCCESS
any of [string, null]
recovery_target_bucket_name
required
복구 대상 버킷 이름
Example : test-obs-bucket
any of [string, null]
start_at
required
시작 일시
Example : 2025-04-01T00:00:00+09:00
any of [string (date-time), null]
end_at
required
종료 일시
Example : 2025-04-30T23:59:59+09:00
any of [string (date-time), null]

2.36 - RecoveryHistoryListResponse

NameDescriptionSchemaDefault
total_count
required
총 개수
Example : 10
any of [integer, null]
bucket_id
required
버킷 아이디
Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
any of [string, null]
contents
required
이력 목록
array[RecoveryHistory]

2.37 - RecoveryHistoryShowResponse

NameDescriptionSchemaDefault
recovery_id
required
복구 아이디
Example : ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5
any of [string, null]
id
required
복구 이력 아이디
Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
any of [string, null]
state
required
상태
Example : SUCCESS
any of [string, null]
recovery_target_bucket_name
required
복구 대상 버킷 이름
Example : test-obs-bucket
any of [string, null]
start_at
required
시작 일시
Example : 2025-04-01T00:00:00+09:00
any of [string (date-time), null]
end_at
required
종료 일시
Example : 2025-04-30T23:59:59+09:00
any of [string (date-time), null]
bucket_id
required
버킷 아이디
Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
any of [string, null]
recovery_infos
required
복구 정보 목록
array[RecoveryInfo]

2.38 - RecoveryInfo

NameDescriptionSchemaDefault
source_object_path
required
소스 오브젝트 경로
Example : example_source_object_path/
any of [string, null]
usage
required
사용량
Example : 1024
any of [string, null]
total_object_count
required
총 오브젝트 개수
Example : 100
any of [integer, null]
recovery_object_count
required
복구 오브젝트 개수
Example : 50
any of [integer, null]
recovery_rate
required
복구 진행률
Example : 50
any of [integer, null]

2.39 - Tag

NameDescriptionSchemaDefault
key
required

Example : key
Maximum length : 128
string
value
optional

Example : value
any of [string, null]